Subject: Re: Problems building Octave 2.1.10 with b20
From: [email-masked] (Mumit Khan)

11 Nov 1998 11:21:15 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: William D Kirby <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,
        "Eaton, John W." <[email-masked]>

William D Kirby <[email-masked]> writes:
> I have been trying to build GNU Octave development version 2.1.10 using
> cygwin b20. When I executed it I get the error message "Fatal: invalid
> password object".
> 
> John Eaton sent me the following test program which compiled fine, but
> outputted nothing when executed.

[ ... code elided ... ]

>   struct passwd *pw = getpwuid (getuid ());
> 
>   printf ("name:   %s\n", pw->pw_name);

Are you certain that there is a /etc/passwd file, and if so, it has no
cr/lf if the mount is binary? Works for me on a b20 box. Please check for 
null return just to make sure.

> 
> Then I tried a simpler program than above which produced an error.
> 
> int
> main (void)
> {
> 
>  printf ("hello\n");
>  printf ("%s\n",getuid ());
           ^^^^
	   does %d give you the same error?

Regards,
Mumit

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".